cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adrian Florin Florescu (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CB-10269) [iOS 8] cordova-plugin-wkwebview-engine breaks Cordova iOS 4.0.0 under iOS 8
Date Tue, 05 Jan 2016 11:55:40 GMT

    [ https://issues.apache.org/jira/browse/CB-10269?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15082924#comment-15082924
] 

Adrian Florin Florescu edited comment on CB-10269 at 1/5/16 11:55 AM:
----------------------------------------------------------------------

I get the same error on iOS 8.3, but on iOS9 works fine. Any thoughts on how we can fix this
anybody?

I created an issue too, any way to merge both? https://issues.apache.org/jira/browse/CB-10297



was (Author: adrianflorinflorescu):
I get the same error on iOS 8.3, but on iOS9 works fine. Any thoughts on how we can fix this
anybody?

I created an issue too, any way to merge both? https://issues.apache.org/jira/browse/CB-10297?jql=project%20%3D%20CB%20AND%20reporter%20in%20%28currentUser%28%29%29



> [iOS 8] cordova-plugin-wkwebview-engine breaks Cordova iOS 4.0.0 under iOS 8
> ----------------------------------------------------------------------------
>
>                 Key: CB-10269
>                 URL: https://issues.apache.org/jira/browse/CB-10269
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Plugin WKWebViewEngine
>    Affects Versions: 4.0.0
>         Environment: Cordova tools 5.4.1
> Cordova iOS platform 4.0.1
> iOS Simulator 8.4
> cordova-plugin-wkwebview-engine plugin
>            Reporter: Ivan Karpan
>            Priority: Critical
>
> When launching on iOS 8.4 simulator the following error breaks JS execution early on:
> ios-wkwebview-exec.js:127 TypeError: undefined is not an object (evaluating 'window.webkit.messageHandlers')
> So inclusion of 'cordova-plugin-wkwebview-engine' plugin breaks support of iOS versions
previous to 9.0. I assume ios-wkwebview-exec.js should have environment checks before using
WKWebView bridge...
> Exclusion of the same plugin breaks the project at all. Are there any fallback mechanics
in place?



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message